configureConnector
curl --request POST \
--url https://api.askparable.com/api/connectors/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantConnectorId": "<string>",
"authenticationConfig": {},
"authenticationStrategyId": "<string>",
"ingestionConfig": {},
"parentDataFilters": [
{
"parentTap": "<string>",
"predicate": {
"field": "<string>",
"operator": "<string>",
"threshold": 123,
"values": [
"<string>"
]
}
}
]
}
'import requests
url = "https://api.askparable.com/api/connectors/configure"
payload = {
"tenantConnectorId": "<string>",
"authenticationConfig": {},
"authenticationStrategyId": "<string>",
"ingestionConfig": {},
"parentDataFilters": [
{
"parentTap": "<string>",
"predicate": {
"field": "<string>",
"operator": "<string>",
"threshold": 123,
"values": ["<string>"]
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenantConnectorId: '<string>',
authenticationConfig: {},
authenticationStrategyId: '<string>',
ingestionConfig: {},
parentDataFilters: [
{
parentTap: '<string>',
predicate: {field: '<string>', operator: '<string>', threshold: 123, values: ['<string>']}
}
]
})
};
fetch('https://api.askparable.com/api/connectors/configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/connectors/configure"
payload := strings.NewReader("{\n \"tenantConnectorId\": \"<string>\",\n \"authenticationConfig\": {},\n \"authenticationStrategyId\": \"<string>\",\n \"ingestionConfig\": {},\n \"parentDataFilters\": [\n {\n \"parentTap\": \"<string>\",\n \"predicate\": {\n \"field\": \"<string>\",\n \"operator\": \"<string>\",\n \"threshold\": 123,\n \"values\": [\n \"<string>\"\n ]\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"credentialMetadataId": "<string>",
"message": "<string>",
"success": true
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}configureConnector
POST /api/connectors/configure Configure an existing connector instance providing the required account setup
POST
/
api
/
connectors
/
configure
configureConnector
curl --request POST \
--url https://api.askparable.com/api/connectors/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantConnectorId": "<string>",
"authenticationConfig": {},
"authenticationStrategyId": "<string>",
"ingestionConfig": {},
"parentDataFilters": [
{
"parentTap": "<string>",
"predicate": {
"field": "<string>",
"operator": "<string>",
"threshold": 123,
"values": [
"<string>"
]
}
}
]
}
'import requests
url = "https://api.askparable.com/api/connectors/configure"
payload = {
"tenantConnectorId": "<string>",
"authenticationConfig": {},
"authenticationStrategyId": "<string>",
"ingestionConfig": {},
"parentDataFilters": [
{
"parentTap": "<string>",
"predicate": {
"field": "<string>",
"operator": "<string>",
"threshold": 123,
"values": ["<string>"]
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenantConnectorId: '<string>',
authenticationConfig: {},
authenticationStrategyId: '<string>',
ingestionConfig: {},
parentDataFilters: [
{
parentTap: '<string>',
predicate: {field: '<string>', operator: '<string>', threshold: 123, values: ['<string>']}
}
]
})
};
fetch('https://api.askparable.com/api/connectors/configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/connectors/configure"
payload := strings.NewReader("{\n \"tenantConnectorId\": \"<string>\",\n \"authenticationConfig\": {},\n \"authenticationStrategyId\": \"<string>\",\n \"ingestionConfig\": {},\n \"parentDataFilters\": [\n {\n \"parentTap\": \"<string>\",\n \"predicate\": {\n \"field\": \"<string>\",\n \"operator\": \"<string>\",\n \"threshold\": 123,\n \"values\": [\n \"<string>\"\n ]\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"credentialMetadataId": "<string>",
"message": "<string>",
"success": true
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
Example:
"acme"
Optional request correlation ID echoed back in the response.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
UUID v4 with automatic base62 encoding for client-facing APIs
A Parable Schema in JSON
UUID v4 with automatic base62 encoding for client-facing APIs
A Parable Schema in JSON
Workspace allowlist: one predicate per parent tap.
Show child attributes
Show child attributes